Redmine - Defect #1606

Gantt diagram is broken
2008-07-09 09:43 - Greg Burri

Status: Closed Start date: 2008-07-09
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 0.8

Resolution: Fixed Affected version:

Description

| installed the trunk version of Redmine ("Redmine 0.7.devel. 1645 (PostgreSQL)") and try to use the gantt diagram but it looks like a
mess : hitp:/www.euphorik.ch:81/projects/gantt/euk.

| dont know if it matters but | use Rails 2.1.0-1 and librmagick-ruby version 2.5.1-1 under Debian Sid.

My brower is Firefox 3 (same behaviour with Opera 9.51).

Associated revisions

Revision 1647 - 2008-07-09 19:16 - Jean-Philippe Lang
Fixes Gantt chart with ruby 1.8.7 (#1606).

History

#1 - 2008-07-09 11:29 - Denis Tomashenko

Ruby 1.8.7 ?
Bring back 1.8.6

#2 - 2008-07-09 12:19 - Calvin Cheng
- Assignee set to Jean-Philippe Lang
Denis Tomashenko wrote:

Ruby 1.8.7 ?

Bring back 1.8.6
Hi there,
| am having the same problem.

Are there plans to fix this in 1.8.7? If so, | do not mind waiting for that to happen.
If there are no plans to fix this in 1.8.7 in the near term (i.e. within 1 month), | will downgrade my ruby installation to 1.8.6.

Regards
#3 - 2008-07-09 14:14 - Greg Burri
Denis Tomashenko wrote:

Ruby 1.8.7 ?
Bring back 1.8.6

yep :
$> ruby --version
ruby 1.8.7 (2008-06-20 patchlevel 22) [x86_64-linux]

#4 - 2008-07-09 19:16 - Jean-Philippe Lang
- Category set to Ul

- Status changed from New to Closed
http://www.euphorik.ch:81/projects/gantt/euk

- Target version set to 0.8

- Resolution set to Fixed

Occurs with ruby 1.8.7 only. Fixed in r1647.
